For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList client tokens
      • POSTCreate client token
      • GETGet client token
      • PUTUpdate client token
      • DELDelete client token
      • GETGet client token value
      • POSTRegenerate client token
      • GETList conversations for client token
Dashboard
LogoLogo
Runtype APIClient Tokens

Get client token value

GET
/v1/client-tokens/:id/token
GET
/v1/client-tokens/:id/token
$curl https://api.runtype.com/v1/client-tokens/id/token \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJjbGllbnQtaWQtMTIzNDU2IiwiaWF0IjoxNjg2MjQ4MDAwfQ.s5X9vJ7Q2kL8vZx9Yq3F7bG1N0aPqR6W8dYtJvX9Z0E"
3}

Get the plain token value. Returns 400 with a hint if the token was created before token values were stored — use POST /{id}/regenerate to create a fresh value.

Was this page helpful?
Previous

Regenerate client token

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Token value
tokenstring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error